summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author slackjeff2023-07-08 04:36:11 +0200
committer Willy Sudiarto Raharjo2023-07-08 04:36:11 +0200
commit523f235bfc405db5afc6f239bd0d5651fd12e2ea (patch)
treeabbc8f0de8de6faf2e6ef93f931f9c610b2ad939 /misc
parent923d98a8efa5e3da63f607efc9f6c1f5934f0cdb (diff)
downloadslackbuilds-523f235bfc405db5afc6f239bd0d5651fd12e2ea.tar.gz
misc/nordpass: Added (password manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/nordpass/README9
-rw-r--r--misc/nordpass/doinst.sh3
-rw-r--r--misc/nordpass/nordpass.SlackBuild93
-rw-r--r--misc/nordpass/nordpass.desktop14
-rw-r--r--misc/nordpass/nordpass.info10
-rw-r--r--misc/nordpass/slack-desc19
6 files changed, 148 insertions, 0 deletions
diff --git a/misc/nordpass/README b/misc/nordpass/README
new file mode 100644
index 0000000000..1d43286e2f
--- /dev/null
+++ b/misc/nordpass/README
@@ -0,0 +1,9 @@
+NordPass Password Manager.
+
+Organize online life with NordPass — a secure solution for passwords,
+passkeys, credit cards, and more.
+
+
+------------------------------------------------------------------------
+This SlackBuild downloads and installs the official Snap under
+'/opt'.
diff --git a/misc/nordpass/doinst.sh b/misc/nordpass/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/nordpass/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/nordpass/nordpass.SlackBuild b/misc/nordpass/nordpass.SlackBuild
new file mode 100644
index 0000000000..531f2015f9
--- /dev/null
+++ b/misc/nordpass/nordpass.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for NordPass
+
+# Copyright 2023 Slackjeff <slackjeff@riseup.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#########################################################################
+# ChangeLog
+#
+# IMPORTANT: update this if you change this script!)
+#########################################################################
+
+cd "$(dirname "$0")" ; CWD=$(pwd)
+
+PRGNAM=nordpass
+VERSION=${VERSION:-5.3.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SNAPID='00CQ2MvSr0Ex7zwdGhCYTa0ZLMw3H6hf'
+SNAPREV='162'
+
+ARCH="${ARCH:-$(uname -m)}"
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION."
+ exit 1;
+fi
+
+if [ -n "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP="${TMP:-/tmp/SBo}"
+PKG="$TMP/package-$PRGNAM"
+OUTPUT="${OUTPUT:-/tmp}"
+
+SNAPNAM="${SNAPID}_${SNAPREV}.snap"
+
+set -e
+
+rm -rf "$PKG"
+mkdir -p "$TMP" "$PKG" "$OUTPUT"
+mkdir -p "$PKG/install"
+mkdir -p "$PKG/usr/doc/$PRGNAM-$VERSION"
+mkdir -p "$PKG/usr/share/$PRGNAM-$VERSION"
+mkdir -p "$PKG/usr/share/applications"
+mkdir -p "$PKG/usr/share/pixmaps"
+mkdir -p "$PKG/usr/bin"
+mkdir -p "$PKG/opt"
+cd $PKG/opt
+install -m 755 $CWD/$SNAPNAM .
+unsquashfs -q -f -d "$PKG/opt/$PRGNAM" "$SNAPNAM"
+rm "$SNAPNAM"
+# Fix Perms
+chown -R root:root .
+find . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+ln -s "/opt/$PRGNAM/$PRGNAM" "$PKG/usr/bin/$PRGNAM"
+ln -s "/opt/$PRGNAM/meta/gui/icon.png" "$PKG/usr/share/pixmaps/$PRGNAM.png"
+
+cat $CWD/$PRGNAM.SlackBuild > "$PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild"
+cat $CWD/README > "$PKG/usr/doc/$PRGNAM-$VERSION/README"
+cat $CWD/slack-desc > "$PKG/install/slack-desc"
+cat $CWD/doinst.sh > "$PKG/install/doinst.sh"
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+cd "$PKG"
+
+# Strip
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+/sbin/makepkg -l y -c n "$OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
diff --git a/misc/nordpass/nordpass.desktop b/misc/nordpass/nordpass.desktop
new file mode 100644
index 0000000000..6ffa0843ce
--- /dev/null
+++ b/misc/nordpass/nordpass.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Name=NordPass
+Exec=nordpass %U
+Terminal=false
+Type=Application
+Icon=/opt/nordpass/meta/gui/icon.png
+StartupWMClass=NordPass
+X-GNOME-Autostart-enabled=true
+X-GNOME-Autostart-Delay=10
+X-KDE-autostart-after=panel
+X-MATE-Autostart-Delay=10
+Comment=NordPass is your freedom from password stress. Generate and securely store strong passwords and autofill them with a single click.
+MimeType=x-scheme-handler/nordpass;
+Categories=Utility;
diff --git a/misc/nordpass/nordpass.info b/misc/nordpass/nordpass.info
new file mode 100644
index 0000000000..52c3bb361d
--- /dev/null
+++ b/misc/nordpass/nordpass.info
@@ -0,0 +1,10 @@
+PRGNAM="nordpass"
+VERSION="5.3.13"
+HOMEPAGE="https://nordpass.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://api.snapcraft.io/api/v1/snaps/download/00CQ2MvSr0Ex7zwdGhCYTa0ZLMw3H6hf_162.snap"
+MD5SUM_x86_64="e9ac1efafe6624a7abb2ddca406c3be5"
+REQUIRES=""
+MAINTAINER="slackjeff"
+EMAIL="slackjeff@riseup.net"
diff --git a/misc/nordpass/slack-desc b/misc/nordpass/slack-desc
new file mode 100644
index 0000000000..554afe0111
--- /dev/null
+++ b/misc/nordpass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nordpass: nordpass (Secure and intuitive password manager)
+nordpass:
+nordpass: Organize online life with NordPass - a secure solution for passwords
+nordpass: passkeys, credit cards, and more.
+nordpass:
+nordpass: Generate strong passwords, Securely share passwords with co-workers.
+nordpass: Find out if your data has been breached.
+nordpass:
+nordpass:
+nordpass: https://nordpass.com
+nordpass: